library polgiust_landscapeblock;

import 'package:flutter/material.dart';

class LandscapeBlock extends StatelessWidget {
  var orientation;
  String img_path;
  String msg;
  final Widget child;

  LandscapeBlock({
    Key? key,
    required this.orientation,
    required this.child,
    required this.img_path,
    this.msg = 'Ruotare il cellulare',
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return orientation == Orientation.portrait
        ? child
        : Padding(
            padding: const EdgeInsets.all(8.0),
            child: Row(
              children: [
                Expanded(
                  child: Center(
                    child: Text(
                      msg,
                      style: TextStyle(
                        color: Colors.red,
                        fontSize: 30,
                        fontWeight: FontWeight.w900,
                      ),
                    ),
                  ),
                ),
                Image.asset(
                  img_path,
                  fit: BoxFit.contain,
                ),
              ],
            ),
          );
  }
}

// 'lib/assets/images/splash.png'
/// simula blocco schermo in landscape -
/// l app funziona solo in portrait
/// quindi se non sai cazzo devi far con quel fottuto cellulare
/// lo puoi girare quanto vuoi solo in verticale funzionera' l'app !
/// Grazie .
/// Marco Amenta
///Widget landScape() {
  /// include into body body: orientation == Orientation.portrait
  /// set in top 'Orientation orientation = MediaQuery.of(context).orientation;'
  ///
//   return Padding(
//     padding: const EdgeInsets.all(8.0),
//     child: Row(
//       children: [
//         const Expanded(
//           child: Center(
//             child: Text(
//               "RUOTARE IL CELLULARE",
//               style: TextStyle(
//                   color: Colors.red,
//                   fontSize: 30,
//                   fontWeight: FontWeight.w900,
//                   fontFamily: 'Personale'),
//             ),
//           ),
//         ),
//         Image.asset(
//           'lib/assets/images/splash.png',
//           fit: BoxFit.contain,
//         ),
//       ],
//     ),
//   );
// }
